xine-lib: Data Fields

xine-lib 1.2.13-20230125hg15249

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - h -

- h : AnimHeader, BitMapHeader, demux_ra_t, mosaico_parameters_s, mpd_stream_info_t, real_stream_t, realdec_decoder_s, rv_init_t, vdr_frame_size_changed_data_s, vdr_set_video_window_data_s, vdr_video_post_plugin_s, vo_scale_rect_t, x11_rectangle_t
- h_cos : _CONV_DATA
- h_height : _CONV_DATA
- h_ref : vdr_set_video_window_data_s, vdr_video_post_plugin_s
- h_sin : _CONV_DATA
- handle : alsa_driver_s, encoder_data_s, hevc_decoder_s, osd_object_s, vdpau_driver_t, video_overlay_object_s, video_overlay_s
- handle_audio_discontinuity : metronom_s
- handle_content : matroska_track_s
- handle_video_discontinuity : metronom_s
- handled_count : metronom_impl_t
- handler : xine_event_queue_private_s
- handshake : tls_plugin_s
- happens : _TENTACLE_FX_DATA
- has_audio : xine_nbc_st
- has_bgra : opengl_driver_t
- has_fragprog : opengl_driver_t
- has_index : demux_avi_s
- has_overlay : vaapi_driver_s
- has_pause_resume : alsa_driver_s
- has_pixbufobj : opengl_driver_t
- has_pts : demux_mpeg_s
- has_seekhead : demux_matroska_t
- has_sequence : mpeg_parser_s
- has_texobj : opengl_driver_t
- has_valid_data : pvr_input_plugin_t
- has_video : bluray_input_plugin_t, xine_nbc_st
- hash : xine_sarray_s
- have : _load_plugins_dupl_cfg_t, _xine_args_t, video_overlay_s, xine_mfrag_list_s
- have_audio : metronom_impl_t
- have_cddb_info : cdda_input_plugin_t
- have_codec_name : sequence_t
- have_display_extension : sequence_t
- have_frame_boundary_marks : vdpau_h264_decoder_s
- have_header : sequence_t
- have_header_info : dxr3_decoder_s
- have_lfe : a52dec_decoder_s, dts_decoder_t
- have_nal_size_length_buf : h264_parser
- have_user_csc_matrix : vaapi_driver_s
- have_video : metronom_impl_t
- have_xvmc_autopaint : xxmc_driver_s
- hdl : sndio_driver_s
- hdmv : demux_ts_t
- hdmv_type : demux_ts_media
- head : dlist_t, xine_ring_buffer_s
- head_alloc : xine_ring_buffer_s
- head_dump_file : http_input_plugin_t
- head_dump_name : http_input_class_t
- header : cdsector_t, demux_mpc_t, demux_ra_t, demux_tta_t, pnm_s, rtsp_session_s
- header_count : speex_decoder_s, vorbis_decoder_s
- header_granulepos : stream_info_s
- header_left : rtsp_session_s
- header_len : pnm_s, rtsp_session_s
- header_read : pnm_s
- header_size : demux_ra_t, picture_t
- headers : stream_info_s
- headers_audio : xine_stream_private_st
- headers_video : xine_stream_private_st
- headerSent : v4l2_video_t
- headsize : test_input_plugin_t
- Height : Fractal_Struct
- height : _PLUGIN_INFO::_SIZE_TYPE, aa_frame_s, avi_t, bitplane_decoder_s, caca_frame_s, cc_renderer_s, dds_t, demux_flv_t, directfb_frame_s, DVprofile, dxr3_decoder_s, em8300_overlay_window_t, ff_vaapi_context_s, foovideo_decoder_s, lavc_data_s, macosx_frame_t, matroska_sub_track_t, mem_frame_t, mmal_decoder_s, mmal_frame_t, mpeg2_decoder_s, mpeg2_sequence_s, mpeg_parser_s, opengl2_yuvtex_t, opengl_frame_t, osd_fontchar_s, osd_object_s, pgx32_frame_t, pgx64_frame_t, pgx64_overlay_s, post_class_goom_s, properties_t, raw_frame_t, realdec_decoder_s, region_t, resolution_t, rgb_decoder_s, sdl_frame_s, sputext_decoder_s, stk_frame_s, subtitle_object_s, tdaan_leveller_t, theora_decoder_s, transform_out_t, vdec_hw_h264_frame_t, vdpau_driver_t, vdpau_frame_t, vdpau_grab_video_frame_t, vdpau_h264_decoder_s, vdpau_output_surface_t, vdpau_overlay_t, vdpau_video_surface_t, vdr_osd_s, vf_priv_s, vidix_frame_s, vo_frame_s, vo_overlay_s, vpx_decoder_s, win32_driver_t, win32_frame_t, window_def_s, x11osd, xcbosd, xine_current_frame_data_s, xine_format_change_data_t, xine_grab_video_frame_s, XineVideoWindow, xv_frame_t, xxmc_frame_t, yuv_decoder_s
- height_back : post_plugin_goom_s
- help : cfg_entry_s, xine_cfg_entry_s
- hic : w32v_decoder_s
- hidden : matroska_chapter_t, matroska_edition_t
- hide : osd_renderer_s
- hide_first_header : stream_info_s
- hide_vpts : region_t
- high : CRange
- high_water_mark : xine_nbc_st
- hili_bottom : vo_overlay_s
- hili_color : spu_encoder_s, vo_overlay_s
- hili_left : vo_overlay_s
- hili_rgb_clut : vo_overlay_s
- hili_right : vo_overlay_s
- hili_top : vo_overlay_s
- hili_trans : spu_encoder_s, vo_overlay_s
- hist : xine_nbc_st
- hlib : opensles_driver_s
- hold : tdaan_leveller_t
- holder : xine_ticket_private_t
- holder_thread_count : xine_ticket_private_t
- holder_threads : xine_ticket_private_t
- honor_progressive : vdpau_driver_t
- horizontal_size_extension : sequence_t
- horizontal_size_value : sequence_t
- host : pnm_s, pulse_driver_s, rtsp_s, xine_url_t
- host_start : mrlp_t
- host_stop : mrlp_t
- hours : mpeg2_gop_s
- hours_value : sei_message
- hp_read : theora_decoder_s
- hPlaneEffect : _ZOOM_FILTER_DATA, _ZOOM_FILTER_FX_WRAPPER_DATA
- hpos : xine_nbc_st
- hrd_num_leaky_buckets : picture_t
- hrd_param_flag : picture_t
- href : cmml_anchor_s
- hsize : demux_flac_t
- hue : opengl2_driver_s, vaapi_equalizer, vdpau_driver_t
- huffman_table : demux_idcin_t
- hw : opengl2_driver_s
- hw_accel : sdl_driver_s
- hw_deinterlace : directfb_driver_s
- hw_params : alsa_driver_s
- hwaccel : win32_driver_t
- hwSubpictures : xxmc_driver_s
- hypercosEffect : _ZOOM_FILTER_DATA, _ZOOM_FILTER_FX_WRAPPER_DATA